Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 740 - bootp retry on boot up can fail
Summary: bootp retry on boot up can fail
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-08 15:09 UTC by Mike Wangsmo
Modified: 2014-03-17 02:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-25 13:53:40 UTC


Attachments (Terms of Use)

Description Mike Wangsmo 1999-01-08 15:09:35 UTC
On some machines, they take a few seconds to negotiate their
link speek (ie 10/100), of course the bootp request is sent
out right after the interface is raised.  This can cause
parts ofthe bootp response to be lost.

The solution that worked in the lab was to perform a retry
without bringing the interface down.  in
/etc/sysconfig/network-scripts/ifup, add a retry after the
firsr bootpc request if the return from the first try is a
failure.

Comment 1 Jeff Johnson 1999-01-25 13:53:59 UTC
Fixed in initscripts 3.83.


Note You need to log in before you can comment on or make changes to this bug.